require 'spec_helper'

describe FriendlyScore do
  subject{ FriendlyScore::API.new 1, "secret" }

  describe "#show_partner_user" do
    it "should raise access denied error" do
      url = "http://social.friendlyscore.com/api/show-partner-user.json?appId=1&appSecret=secret&partnerUserId=user"
      stub_request(:get, url).to_return({
        :status => 404,
        :body => "\{\"code\":404, \"message\":\"some message\"\}"
      })
      expect{
        subject.show_partner_user "user"
      }.to raise_error FriendlyScore::Errors::NotFoundError
    end

    it "should return user" do
      url = "http://social.friendlyscore.com/api/show-partner-user.json?appId=1&appSecret=secret&partnerUserId=user"
      stub_request(:get, url).to_return({
        :status => 200,
        :body => "\{\"id\":1\}"
      })

      result = nil
      expect{
        result = subject.show_partner_user "user"
      }.to_not raise_error
      expect( result ).to be_instance_of FriendlyScore::User
      expect( result.id ).to eq 1
    end
  end
end
