require 'spec_helper'

describe FriendlyScore do
  subject{ FriendlyScore::API.new 1, "secret" }

  describe "#user_positive" do
    it "should raise access denied error" do
      url = "http://social.friendlyscore.com/api/user/positive?appId=1&appSecret=secret&id=1&positive=1"
      stub_request(:get, url).to_return({
        :status => 404,
        :body => "\{\"code\":404, \"message\":\"some message\"\}"
      })
      expect{
        subject.user_positive 1, 1
      }.to raise_error FriendlyScore::Errors::NotFoundError
    end

    it "should return nil" do
      url = "http://social.friendlyscore.com/api/user/positive?appId=1&appSecret=secret&id=1&positive=1"

      stub_request(:get, url).to_return({
        :status => 200, :body => "\{\"id\":1\}"
      })
      
      result = nil
      expect{
        result = subject.user_positive 1, 1
      }.to_not raise_error
      expect( result ).to be_nil
    end
  end
end
