require 'spec_helper'

describe FriendlyScore do
  subject{ FriendlyScore::API.new 1, "secret" }

  describe "#users" do
    it "should raise access denied error" do
      url = "http://social.friendlyscore.com/api/users.json?appId=1&appSecret=secret"
      stub_request(:get, url).to_return({
        :status => 404,
        :body => "\{\"code\":404, \"message\":\"some message\"\}"
      })

      expect{
        subject.users
      }.to raise_error FriendlyScore::Errors::NotFoundError
    end

    it "should return nil" do
      url = "http://social.friendlyscore.com/api/users.json?appId=1&appSecret=secret"
      stub_request(:get, url).to_return({
        :status => 200,
        :body => "\{\"id\":1\}"
      })
      
      result = nil
      expect{
        result = subject.users 
      }.to_not raise_error
      expect( result ).to be_instance_of Array
    end
  end
end
